%% Ejemplo 6: Efecto de interlaced frames

% Lectura de un video YUV 4:2:0
[yuvMovie, YUV] = readYUV('stefan@90@352x288.yuv', 3, 'CIF_PAL'); % Se leen 3 frames

% size(YUV) % Se comprueba las dimensiones de YUV

 % Se lee la luminancia de la frame 2
Ycurr=YUV(:,:,1,2);
[fil, col]=size(Ycurr);
% Se lee la luminancia de la frame 3
Ynext=YUV(:,:,1,3); 

% Se crean  imagenes de ceros
Yodd=zeros(fil,col); 
Yeven=zeros(fil,col); 

% Se seleccionan las filas pares e impares por separado
Yodd(1:2:fil,:)=Ycurr(1:2:fil,:);
Yeven(2:2:fil,:)=Ynext(2:2:fil,:);

% Imagen reconstruida
Yrec(1:2:fil,:)=Ycurr(1:2:fil,:);
Yrec(2:2:fil,:)=Ynext(2:2:fil,:);

% Visualizacin de las imgenes
subplot(3,2,1), imshow(uint8(Ycurr)), title('Frame 2: Original');
subplot(3,2,2), imshow(uint8(Ynext)), title('Frame 3: Original');
subplot(3,2,3), imshow(uint8(Yodd)), title('Frame 2: Lneas impares');
subplot(3,2,4), imshow(uint8(Yeven)), title('Frame 3: Lneas pares');
subplot(3,2,5), imshow(uint8(Yrec)), title('Interlaced: Frame2 + Frame3');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%                                                              %%
%% COMPRESION DE VIDEO                                          %%
%% Grado en Ingeniera de Tecnologas de Telecomunicacin       %%
%% Gustavo A. Ruiz Robredo                                      %%
%% ruizrg@unican.es                                             %%
%%                                                              %%
%% uu   uu  cccccc   UNIVERSIDAD DE CANTABRIA                   %%
%% uu   uu  cccccc   Dpto. INGENIERIA INFORMATICA Y ELECTRONICA %%
%% uu   uu  cc       FACULTAD DE CIENCIAS                       %%
%%  uuuuu   cccccc   Avda. Los Castros s/n                      %%
%%   uuu    cccccc   39005-SANTANDER (SPAIN)                    %%
%%                                                              %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%