%% Conversion de RGB a YUV
Ivid=leerVideoCarColor(); % Se lee el video y se almacena en Ivid

% Se lee el nmero de frames
[height width dim NumberOfFrames]=size(Ivid);

% Se convierte a YUV frame a frame
for numFrame=1:NumberOfFrames
    Ycrcb(:,:,:,numFrame)=rgb2ycbcr(Ivid(:,:,:,numFrame));
end

%% Proceso de escritura de Ycrcb en un fichero
fid = fopen('car444.yuv', 'w'); % Se abre un fichero para escribir
% Se escribe frame a frame
for numFrame=1:NumberOfFrames
    % Se escribe la luma
    fwrite(fid,transpose(Ycrcb(:,:,1,numFrame)),'uint8');
    % Se escribe la Cr
    fwrite(fid,transpose(Ycrcb(:,:,2,numFrame)),'uint8'); 
    % Se escribe la Cb
    fwrite(fid,transpose(Ycrcb(:,:,3,numFrame)),'uint8');    
end
fclose(fid); % Se cierra el fichero

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%                                                              %%
%% COMPRESION DE VIDEO                                          %%
%% Grado en Ingeniera de Tecnologas de Telecomunicacin       %%
%% Gustavo A. Ruiz Robredo                                      %%
%% ruizrg@unican.es                                             %%
%%                                                              %%
%% uu   uu  cccccc   UNIVERSIDAD DE CANTABRIA                   %%
%% uu   uu  cccccc   Dpto. INGENIERIA INFORMATICA Y ELECTRONICA %%
%% uu   uu  cc       FACULTAD DE CIENCIAS                       %%
%%  uuuuu   cccccc   Avda. Los Castros s/n                      %%
%%   uuu    cccccc   39005-SANTANDER (SPAIN)                    %%
%%                                                              %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%