%% Conversion de YUV a RGB

%% Especificaciones del video
NumberOfFrames=20;
% Formato CIF
height=288;
width=352;

%% Proceso de lectura de Ycrcb en un fichero
fid = fopen('car444.yuv', 'r'); % Se abre un fichero para leer
% Se lee frame a frame
for numFrame=1:NumberOfFrames
    % Se lee la luma
    YCbCr(:,:,1,numFrame)=uint8(fread(fid,[ width height ],'uint8'));
    % Se lee la Cb
    YCbCr(:,:,2,numFrame)=uint8(fread(fid,[ width height ],'uint8'));
    % Se lee la Cr
    YCbCr(:,:,3,numFrame)=uint8(fread(fid,[ width height ],'uint8'));
end
fclose(fid); % Se cierra el fichero

% Se convierte RGB a YUV frame a frame y se gira
for numFrame=1:NumberOfFrames
    RGB90=ycbcr2rgb(YCbCr(:,:,:,numFrame));
    RGB(:,:,1,numFrame)=rot90(RGB90(:,:,1),-1);
    RGB(:,:,2,numFrame)=rot90(RGB90(:,:,2),-1);
    RGB(:,:,3,numFrame)=rot90(RGB90(:,:,3),-1);
end

implay(RGB); % Se reproduce el video

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%                                                              %%
%% COMPRESION DE VIDEO                                          %%
%% Grado en Ingeniera de Tecnologas de Telecomunicacin       %%
%% Gustavo A. Ruiz Robredo                                      %%
%% ruizrg@unican.es                                             %%
%%                                                              %%
%% uu   uu  cccccc   UNIVERSIDAD DE CANTABRIA                   %%
%% uu   uu  cccccc   Dpto. INGENIERIA INFORMATICA Y ELECTRONICA %%
%% uu   uu  cc       FACULTAD DE CIENCIAS                       %%
%%  uuuuu   cccccc   Avda. Los Castros s/n                      %%
%%   uuu    cccccc   39005-SANTANDER (SPAIN)                    %%
%%                                                              %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%